library(ragg)
library(systemfonts)
library(extrafont) # to embed extra fonts
library(sysfonts) # to check available fonts and download fonts from google
library(showtext) # to use the extra fonts

font_add_google('Montserrat')
font_families() #check that the fonts are installed and available

showtext_auto() #this is to turn on the custom fonts availability
showtext_opts(dpi = 96) #set the resolution: 96 is default

my_theme_2 <- function(){ 
  font <- "Montserrat"   #assign font family up front
  theme_bw() %+replace%    #replace elements we want to change
    theme(
      plot.margin = unit(c(1,1,1,1), "lines"),
      
      #grid elements
      panel.border = element_blank(),
      panel.background = element_blank(),
      panel.grid.major = element_blank(),    #strip major gridlines
      panel.grid.minor = element_blank(),   
      axis.ticks = element_blank(),          #strip axis ticks
      
      #axis.ticks.length.x =unit(.10, "cm"),
      #axis.ticks.y = element_blank(),
      
      #plot.background = element_rect(fill='white', colour='black'),
      
      #text elements
      plot.title = element_text(             #title
        color = 'black',
        family = font,            #set font family
        size = 22,                #set font size
        face = 'bold',            #bold typeface
        hjust = 0,                #left align
        vjust = 3),               #raise slightly
      
      plot.subtitle = element_text(          #subtitle
        color = 'black',
        family = font,            #font family
        face = 'italic',
        size = 12,
        hjust = 0,                #left align
        vjust = 2),               #raise slightly
      
      plot.caption = element_text(           #caption
        color = 'darkgrey',
        family = font,            #font family
        size = 10,  
        hjust = 1, 
        vjust = -2),               #right align
      
      axis.title = element_text(             #axis titles
        family = font,            #font family
        size = 12,
        face = 'italic',
        vjust = 0.5),               #font size
      
      axis.text.x = element_text(              #axis text
        family = font,            #axis famuly
        size = 9,
        #face = 'italic',
        vjust=1),                #font size
      
      axis.text.y = element_text(              #axis text
        family = font,            #axis famuly
        size = 9,
        vjust = 0.5,
        hjust = 1)                #font size

    )
}
